## bing 1.0.4

=== Makefile ===
#
# Makefile,v 1.4 1995/07/21 00:03:30 pb Exp
#
MANDIR=/usr/local/man
BINDIR=/usr/local/bin
INSTALL=install -c
GROFF=groff
NROFF=nroff
RM=/bin/rm

# uncomment for Solaris 2
#CLIBS=-lnsl -lsocket -lucb

all:	bing bing.0 bing.ps

dist:	clean bing.0 bing.ps

bing:	bing.c sysdep.h
	$(CC) $(CFLAGS) $(CLIBS) -o $@ bing.c

bing.ps: bing.8
	$(GROFF) -mandoc bing.8 > bing.ps

bing.0: bing.8
	$(NROFF) -mandoc bing.8 > bing.0

clean:
	$(RM) -f bing bing.ps bing.0

install: bing bing.8
	$(INSTALL) -m 644 -o man -g man bing.8 $(MANDIR)/man8
	$(INSTALL) -m 4555 -o root -g staff bing $(BINDIR)

## bing 1.1.3

=== Makefile ===
#
# $Id: Makefile, unofficial v1.1.3
#


##########
#
# Customise the following variables to match your configuration standards
#
##########

BINDIR=/usr/bin
MANDIR=/usr/man


##########
#
# Uncomment the lines below as appropriate for your platform.
#
##########

# Uncomment if you need the 4.4 BSD compatibility includes.
#  -> required on Linux (and Win32)
COMPAT_INCS = -Iinclude

# Maybe specify some specific compatibility options
#  -> on AIX activate the BSD mode
#COMPAT_DEFS= -D_BSD

# On some systems you may need to link with specific libraries
#  -> on SunOS 5 (Solaris) link with
#COMPAT_LIBS=-lnsl -lsocket -L/usr/ucblib -lucb

# Define if you lack srandom()/random()
#  -> required on Solaris (and Win32)
#NO_RANDOM = -DNO_RANDOM=1

# Define to use srandom/random rather than srand/rand
#  -> required on SunOS 4.1.3, SunOS 5, AIX 2 (BOSX 2 really), OSF1 V2.0
NO_SNPRINTF = -DNO_SNPRINTF=1

# Define if you lack strerror()
#NO_STRERROR = -DNO_STRERROR=1

# You may optionally provide some optimisation flags. Optimising bing for 
# speed should slightly improve the results.
#  -> if you want to debug bing define
#COPTIM = -g
#  -> on Linux, SunOS 4 and OSF1 V2.0 you may specify
COPTIM = -O2
#  -> on Solaris you may use
#COPTIM = -O
# on some hosts like AIX, HP-UX the optimisation options are already set

##########
#
# Define where tools are stored
#
##########

INSTALL=install -c
GROFF=groff
NROFF=nroff
RM=/bin/rm


##########
#
# Compilation rules
#
##########

BINCS = \
	-I. \
	$(COMPAT_INCS)

BDEFS = \
	$(COMPAT_DEFS) \
	$(NO_RANDOM) \
	$(NO_SNPRINTF) \
	$(NO_STRERROR) \
	$(CDEBUG)

BLIBS = \
	$(COMPAT_LIBS)

OBJS=	bing.o icmp_ux.o

all:	bing bing.0 bing.ps

dist:	clean bing.0 bing.ps

bing.o:		bing.c mod_icmp.h
	$(CC) $(CFLAGS) $(BINCS) $(BDEFS) -o $@ -c bing.c

icmp_ux.o:	unix/icmp_ux.c mod_icmp.h
	$(CC) $(CFLAGS) $(BINCS) $(BDEFS) -o $@ -c unix/icmp_ux.c

bing:	$(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(BLIBS) -lm

bing.ps: unix/bing.8
	$(GROFF) -man unix/bing.8 > bing.ps

bing.0: unix/bing.8
	$(NROFF) -man unix/bing.8 > bing.0

clean:
	$(RM) -f bing bing.ps bing.0 $(OBJS)

install: bing unix/bing.8
	$(INSTALL) -m 644 -o man -g man unix/bing.8 $(MANDIR)/man8
	$(INSTALL) -m 4555 -o root -g staff bing $(BINDIR)

=== debian/changelog ===
bing (1.1.3-3) unstable; urgency=medium

  * QA upload.
  * Changed maintainer to QA group.
  * Ack for NMU. (Closes: #800300)
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to (new) reduced format.
      - DebSrc to 3.0 format.
      - DH level to 10.
      - Using dh-autoreconf now.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/copyright: removed the 3rd clause from BSD
    license. (Closes: #123813)
  * debian/docs: created to include Readme files.
  * debian/install: created to install bing on the right path.
  * debian/manpages: created to install manpage file.
  * debian/patches/10-fix-gcc-hardening.patch: included CPPFLAGS to fix
    hardening issues.
  * debian/patches/20-comment-manpage-install.patch: commented install
    manpage from Makefile.
  * debian/patches/30-fix-c-code.patch: created to apply the patches from
    other maintainer on upstream code using format 3.0.
  * debian/watch: improved.

 -- Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>  Fri, 11 Nov 2016 09:01:56 -0200

bing (1.1.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update DH level to 9. (Closes: #800300)
  * debian/compat: created.
  * debian/control:
     - Added the ${misc:Depends} variable to provide the right install
       dependencies.
     - Bumped Standards-Version to 3.9.6.
  * debian/rules:
      - Fixed the path to install the executable correctly.
      - Replaced dh_installmanpages to dh_installman.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 03 Jan 2016 04:21:10 -0200

bing (1.1.3-2) unstable; urgency=low

  * Fix "segfaults on IPv6 addresses" Patch from Jeremie Koenig
    (Closes: #511407)
  * Update to Standards Version 3.8.0
    - Add Homepage: & debian/watch

 -- Mark Purcell <msp@debian.org>  Mon, 12 Jan 2009 11:42:18 +1100

bing (1.1.3-1) unstable; urgency=low

  * New upstream release, Thanks Stephane Bortzmeyer.
  * Reapply Nikunj A. Dadhania HURD patch (Fixes: Bug#109724)
  * Update debian/copyright (Closes: Bug#169064)
  * bing now displays Mbps or Kbps as most sensible (Closes: Bug#27597,
    Bug#61771, Bug#119818)

 -- Mark Purcell <msp@debian.org>  Tue, 14 Jan 2003 23:04:12 +1100

bing (1.0.5-3) unstable; urgency=low

  * Apply Nikunj A. Dadhania HURD patch (Fixes: Bug#109724)

 -- Mark Purcell <msp@debian.org>  Thu,  3 Jan 2002 11:51:35 +1100

bing (1.0.5-2) unstable; urgency=low

  * Fix spelling (Closes: Bug#124453)
  * NMU Fixed bugs - Closed: (Closes: #37197, #45733, #55585, #58514)

 -- Mark Purcell <msp@debian.org>  Sun, 23 Dec 2001 20:38:46 +1100

bing (1.0.5-1) unstable; urgency=low

  * New maintainer (Closes: Bug#123534)
  * New upstream release (Closes: Bug#83124)
  * Added Build-Depends: (Closes: Bug#70259)

 -- Mark Purcell <msp@debian.org>  Mon, 17 Dec 2001 22:07:47 +1100

bing (1.0.4-5.3.1) frozen unstable; urgency=low

  * Reupload of 1.0.4-5.3 into frozen, too, as it fixes two bugs (one
    of them RC). Sorry for wasting bandwidth :)

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sat, 26 Feb 2000 22:03:31 +0100

bing (1.0.4-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Removed suid bit, added README.Debian explaining it, an applied
    the patch for the buffer overflow, closes: #58514.
  * Suidless bing now really belongs to /usr/sbin, closes: #55585.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sat, 26 Feb 2000 17:40:54 +0100

bing (1.0.4-5.2) unstable; urgency=low

  * Non-maintainer upload, approved by maintainer.
  * Changed packaging to use debhelper, and updated for Policy 3.x.
  * Use suidregister to register (mode 4755) binary /usr/sbin/bing.
  * Fix the license and URL in the copyright file (fixes: #37197).

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sat, 25 Sep 1999 03:41:45 +0200

bing (1.0.4-5.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.

 -- Martin Mitchell <martin@debian.org>  Mon, 10 Nov 1997 18:12:40 +1100

bing (1.0.4-5) unstable; urgency=low

  * Convert to new package format.

 -- Michael Shields <shields@crosslink.net>  Tue, 13 May 1997 01:39:51 +0000

=== debian/control ===
Source: bing
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>=10)
Homepage: http://fgouget.free.fr/bing/bing_src-readme-1st.shtml
Standards-Version: 3.9.8

Package: bing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Empirical stochastic bandwidth tester
 Bing is a point-to-point bandwidth measurement tool (hence the 'b'),
 based on ping.
 .
 Bing determines the real (raw, as opposed to available or average)
 throughput on a link by measuring ICMP echo requests' round trip times
 for different packet sizes at each end of the link.

=== debian/watch ===
version=4
http://fgouget.free.fr/bing/index-en.shtml bing_src-(\d\S+)\.tar\.(?:bz2|gz|xz)

## bing 1.3.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile, unofficial v1.1.3
+# $Id: Makefile,v 1.6 1999/10/24 23:30:09 fgouget Exp $
 #
 
 
@@ -9,8 +9,8 @@
 #
 ##########
 
-BINDIR=/usr/bin
-MANDIR=/usr/man
+BINDIR=/usr/local/bin
+MANDIR=/usr/local/man
 
 
 ##########
@@ -21,7 +21,8 @@
 
 # Uncomment if you need the 4.4 BSD compatibility includes.
 #  -> required on Linux (and Win32)
-COMPAT_INCS = -Iinclude
+#COMPAT_INCS = -Iinclude
+#COMPAT_INCS = -I/usr/include
 
 # Maybe specify some specific compatibility options
 #  -> on AIX activate the BSD mode
@@ -32,12 +33,12 @@
 #COMPAT_LIBS=-lnsl -lsocket -L/usr/ucblib -lucb
 
 # Define if you lack srandom()/random()
-#  -> required on Solaris (and Win32)
+#  -> required on Win32 (and maybe sometimes on Solaris, but better avoided)
 #NO_RANDOM = -DNO_RANDOM=1
 
 # Define to use srandom/random rather than srand/rand
 #  -> required on SunOS 4.1.3, SunOS 5, AIX 2 (BOSX 2 really), OSF1 V2.0
-NO_SNPRINTF = -DNO_SNPRINTF=1
+#NO_SNPRINTF = -DNO_SNPRINTF=1
 
 # Define if you lack strerror()
 #NO_STRERROR = -DNO_STRERROR=1
@@ -45,12 +46,13 @@
 # You may optionally provide some optimisation flags. Optimising bing for 
 # speed should slightly improve the results.
 #  -> if you want to debug bing define
-#COPTIM = -g
+COPTIM = -g -Wall -D_DEBUG
 #  -> on Linux, SunOS 4 and OSF1 V2.0 you may specify
-COPTIM = -O2
+#COPTIM = -O2
 #  -> on Solaris you may use
 #COPTIM = -O
 # on some hosts like AIX, HP-UX the optimisation options are already set
+
 
 ##########
 #
@@ -79,19 +81,39 @@
 	$(NO_RANDOM) \
 	$(NO_SNPRINTF) \
 	$(NO_STRERROR) \
-	$(CDEBUG)
+	$(CDEBUG) \
+	$(COPTIM)
 
 BLIBS = \
 	$(COMPAT_LIBS)
 
-OBJS=	bing.o icmp_ux.o
+OBJS=	\
+	bing.o \
+	bing_misc.o \
+	bing_probes.o \
+	bing_stats.o \
+	lin_reg.o \
+	icmp_ux.o
+
+
+# (!!) These dependencies are incorrect. They should be computed automatically.
+# Besides it would be a good idea to use autoconf, would it generate code that 
+# does that for us ?
 
 all:	bing bing.0 bing.ps
 
 dist:	clean bing.0 bing.ps
 
-bing.o:		bing.c mod_icmp.h
+bing.o:		bing.c bing_stats.h mod_icmp.h
 	$(CC) $(CFLAGS) $(BINCS) $(BDEFS) -o $@ -c bing.c
+bing_misc.o:	bing_misc.c bing_misc.h 
+	$(CC) $(CFLAGS) $(BINCS) $(BDEFS) -o $@ -c bing_misc.c
+bing_probes.o:	bing_probes.c bing_probes.h 
+	$(CC) $(CFLAGS) $(BINCS) $(BDEFS) -o $@ -c bing_probes.c
+bing_stats.o:	bing_stats.c bing_stats.h
+	$(CC) $(CFLAGS) $(BINCS) $(BDEFS) -o $@ -c bing_stats.c
+lin_reg.o:	lin_reg.c
+	$(CC) $(CFLAGS) $(BINCS) $(BDEFS) -o $@ -c lin_reg.c
 
 icmp_ux.o:	unix/icmp_ux.c mod_icmp.h
 	$(CC) $(CFLAGS) $(BINCS) $(BDEFS) -o $@ -c unix/icmp_ux.c

=== debian/changelog ===
bing (1.3.5-5) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Adjust renamed lintian tag name in override.
  * Adjust lintian overrides.
  * Update debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:23 +0200

bing (1.3.5-4) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:56:28 +0100

bing (1.3.5-3) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Move lintian-overrides file to source directory.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.
  * Fix renamed lintian tag.
  * Fix lintian warning insecure-copyright-format-uri.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:32:41 +0100

bing (1.3.5-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Jul 2017 09:24:08 +0200

bing (1.3.5-1) experimental; urgency=low

  * New upstream release.
    - Drop patch 30-fix-c-code.
    - Rewrite patch 01-fix-gcc-hardening.
    - Refresh patch 02-comment-manpage-install.
  * Adopt bing package.
    Closes: #839967
  * Fix debian/watch.
  * Add lintian override for missing GPG signature.
  * Modernize packaging.
  * Add myself to debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 28 Apr 2017 10:56:56 +0200

=== debian/control ===
Source: bing
Section: net
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13)
Homepage: http://fgouget.free.fr/bing/bing_src-readme-1st.shtml
Rules-Requires-Root: no
Standards-Version: 4.6.1

Package: bing
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Empirical stochastic bandwidth tester
 Bing is a point-to-point bandwidth measurement tool (hence the 'b'),
 based on ping.
 .
 Bing determines the real (raw, as opposed to available or average)
 throughput on a link by measuring ICMP echo requests' round trip times
 for different packet sizes at each end of the link.

=== debian/watch ===
version=4
http://fgouget.free.fr/bing/index-en.shtml bing_src-([\d.]+)\.tar\.(?:bz2|gz|xz)
